---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgettime001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3A10, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52EE0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54E20, symBinAddr: 0xE110, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55210, symBinAddr: 0xE500, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x561B0, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x561C0, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52B50, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52B54, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52B58, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52CB0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52D68, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x52D6C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52D70, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52D74, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52D78, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52D80, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x52D90, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x52D98, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x52DA0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x52DA8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x52DB0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x52DB8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL8prevTime, symObjAddr: 0x52E00, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94FD, offset: 0x94FD, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x52E08, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x954F, offset: 0x954F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x26B0, symSize: 0x80 }
  - { offsetInCU: 0x95E4, offset: 0x95E4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2600, symSize: 0xB0 }
  - { offsetInCU: 0x963F, offset: 0x963F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2500, symSize: 0x100 }
  - { offsetInCU: 0x98D2, offset: 0x98D2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2730, symSize: 0xC0 }
  - { offsetInCU: 0x9924, offset: 0x9924, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x27F0, symSize: 0x220 }
  - { offsetInCU: 0x9B09, offset: 0x9B09, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2A10, symSize: 0xA0 }
  - { offsetInCU: 0x9BBC, offset: 0x9BBC, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2AB0, symSize: 0x110 }
  - { offsetInCU: 0x9CB2, offset: 0x9CB2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2BC0, symSize: 0x150 }
  - { offsetInCU: 0x9E0F, offset: 0x9E0F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2D10, symSize: 0x30 }
  - { offsetInCU: 0x9ED0, offset: 0x9ED0, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2D40, symSize: 0x150 }
  - { offsetInCU: 0xA0C8, offset: 0xA0C8, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2E90, symSize: 0x160 }
  - { offsetInCU: 0xA388, offset: 0xA388, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2FF0, symSize: 0x4A0 }
  - { offsetInCU: 0xA5FB, offset: 0xA5FB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3490, symSize: 0x1B0 }
  - { offsetInCU: 0xA816, offset: 0xA816, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3640, symSize: 0xA0 }
  - { offsetInCU: 0xA8E5, offset: 0xA8E5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x36E0, symSize: 0x20 }
  - { offsetInCU: 0xA91C, offset: 0xA91C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3700, symSize: 0x20 }
  - { offsetInCU: 0xA953, offset: 0xA953, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3720, symSize: 0x20 }
  - { offsetInCU: 0xAAC2, offset: 0xAAC2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3740, symSize: 0x1A0 }
  - { offsetInCU: 0xADDE, offset: 0xADDE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x38E0, symSize: 0x130 }
  - { offsetInCU: 0xAF8E, offset: 0xAF8E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3C80, symSize: 0x1B0 }
  - { offsetInCU: 0xB27D, offset: 0xB27D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3E30, symSize: 0x80 }
  - { offsetInCU: 0xB346, offset: 0xB346, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3EB0, symSize: 0x6A0 }
  - { offsetInCU: 0xBEDB, offset: 0xBEDB, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB100, symBinAddr: 0x6140, symSize: 0xB0 }
  - { offsetInCU: 0xBF52, offset: 0xBF52, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4550, symSize: 0x70 }
  - { offsetInCU: 0xBFEE, offset: 0xBFEE, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x45C0, symSize: 0xA0 }
  - { offsetInCU: 0xC0F9, offset: 0xC0F9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4660, symSize: 0x40 }
  - { offsetInCU: 0xC1EF, offset: 0xC1EF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x46A0, symSize: 0x2B0 }
  - { offsetInCU: 0xC595, offset: 0xC595, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4950, symSize: 0xC0 }
  - { offsetInCU: 0xC6DB, offset: 0xC6DB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4A10, symSize: 0x10 }
  - { offsetInCU: 0xC79D, offset: 0xC79D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4A20, symSize: 0x220 }
  - { offsetInCU: 0xCA9A, offset: 0xCA9A, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4C40, symSize: 0x10 }
  - { offsetInCU: 0xCAF7, offset: 0xCAF7, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4C50, symSize: 0x370 }
  - { offsetInCU: 0xCF8F, offset: 0xCF8F, size: 0x8, addend: 0x0, symName: __ZL9checkTimeP9_jvmtiEnvPyS1_PKc, symObjAddr: 0x9FF0, symBinAddr: 0x5030, symSize: 0xEB0 }
  - { offsetInCU: 0xD2E1, offset: 0xD2E1, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F80, symBinAddr: 0x4FC0, symSize: 0x10 }
  - { offsetInCU: 0xD33E, offset: 0xD33E, size: 0x8, addend: 0x0, symName: _callbackVMInit, symObjAddr: 0x9F90, symBinAddr: 0x4FD0, symSize: 0x60 }
  - { offsetInCU: 0xD44B, offset: 0xD44B, size: 0x8, addend: 0x0, symName: _callbackVMDeath, symObjAddr: 0xAEA0, symBinAddr: 0x5EE0, symSize: 0x1C0 }
  - { offsetInCU: 0xD6AA, offset: 0xD6AA, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB060, symBinAddr: 0x60A0, symSize: 0xA0 }
  - { offsetInCU: 0xD789, offset: 0xD789, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB1B0, symBinAddr: 0x61F0, symSize: 0x36A }
...
